import Decimal from 'big.js';
import { INumberInputDecimalProps } from './NumberInput';
export declare const EMPTY_DECIMAL: Decimal;
export declare function isPotentialValue(value: string): boolean;
export declare function isDecimal(value: string): boolean;
export declare function getDelta(decimal: number, step?: number): Decimal;
export declare function normalizeMinMax(props: INumberInputDecimalProps): {
    min: Decimal;
    max: Decimal;
};
export declare function normalizeValue(value: string | number | undefined, min: Decimal | null, max: Decimal | null, decimalPlaces: number, showTooltip?: boolean): {
    input: string;
    value: Decimal;
    pop?: {
        visible: boolean;
        text: string;
        type: string;
    };
};
export declare function calculateLimit(value: Decimal, min: Decimal | null, max: Decimal | null): {
    canInc: boolean;
    canDec: boolean;
};
